# WOK
TKWOK
WOKStep

# WOKStep_ResourceSource Class Reference

`#include <WOKStep_ResourceSource.hxx>`

Inheritance diagram for WOKStep_ResourceSource:

[legend]

## Public Member Functions

Standard_EXPORT | WOKStep_ResourceSource (const Handle(WOKMake_BuildProcess)&abp, const Handle(WOKernel_DevUnit)&aunit, const Handle(TCollection_HAsciiString)&acode, const Standard_Boolean checked, const Standard_Boolean hidden)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT void | ReadFILES (const Handle(WOKMake_InputFile)&FILES)

## Constructor & Destructor Documentation

Standard_EXPORT WOKStep_ResourceSource::WOKStep_ResourceSource | ( | const Handle(WOKMake_BuildProcess)& | abp,
|  | const Handle(WOKernel_DevUnit)& | aunit,
|  | const Handle(TCollection_HAsciiString)& | acode,
|  | const Standard_Boolean | checked,
|  | const Standard_Boolean | hidden
| ) |

## Member Function Documentation

Standard_EXPORT const WOKStep_ResourceSource::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKStep_Source.

virtual Standard_EXPORT void WOKStep_ResourceSource::ReadFILES | ( | const Handle(WOKMake_InputFile)& | FILES | ) | `[protected, virtual]`

| Reimplemented from WOKStep_Source.

The documentation for this class was generated from the following file:

- WOKStep_ResourceSource.hxx